## GtkHButtonBox

GtkHButtonBox — A container for arranging buttons horizontally

## Functions

GtkWidget * | gtk_hbutton_box_new ()

## Types and Values

struct | GtkHButtonBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkButtonBox
                            ╰── GtkHButtonBox

## Implemented Interfaces

GtkHButtonBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

A button box should be used to provide a consistent layout of buttons throughout your application. The layout/spacing can be altered by the programmer, or if desired, by the user to alter the “feel” of a program to a small degree.

A GtkHButtonBox is created with `gtk_hbutton_box_new()`. Buttons are packed into a button box the same way widgets are added to any other container, using `gtk_container_add()`. You can also use `gtk_box_pack_start()` or `gtk_box_pack_end()`, but for button boxes both these functions work just like `gtk_container_add()`, ie., they pack the button in a way that depends on the current layout style and on whether the button has had `gtk_button_box_set_child_secondary()` called on it.

The spacing between buttons can be set with `gtk_box_set_spacing()`. The arrangement and layout of the buttons can be changed with `gtk_button_box_set_layout()`.

GtkHButtonBox has been deprecated, use GtkButtonBox instead.

## Functions

### gtk_hbutton_box_new ()

    GtkWidget *
    gtk_hbutton_box_new (void);

`gtk_hbutton_box_new` has been deprecated since version 3.2 and should not be used in newly-written code.

Use `gtk_button_box_new()` with `GTK_ORIENTATION_HORIZONTAL` instead

Creates a new horizontal button box.

#### Returns

a new button box GtkWidget.

## Types and Values

### struct GtkHButtonBox

    struct GtkHButtonBox;

## See Also

GtkBox, GtkButtonBox, GtkVButtonBox